@import "../../../assets/styles/variables";
@import "../../../assets/styles/mixins";

header {
	border-bottom : 0.5px solid $tw-dark3;
	color         : $tw-white;
	
	& .nav-width {
		@include media-min-width(2000px) {
			width : 1967px;
		}
		
		& .menu {
			margin-top: 8px;
			
			& .fa-bars {
				font-size : 18px;
			}
			
			& .tw-logo {
				width  : 150px;
				height : 40px;
			}
			
			& .fast-access {
				width : 70px;
				
				&.dropdown {
					& .dropdown-title {
						font-size : 14px;
					}
					
					& .dropdown-content {
						display  : none;
						position : absolute;
						top      : 60px;
						right    : 0;
						width    : 450px;
						z-index  : 100000;
						cursor   : default;
						
						& ul {
							& li {
								font-size : 13px;
							}
						}
					}
					
					&:hover {
						border-bottom : 3px solid $tw-red;
						color         : $tw-red;
						
						& .dropdown-content {
							display : block;
						}
					}
				}
			}
			
			//& .left-section {
			//	position : relative;
			//
			//	& .dropdown {
			//		& .dropdown-title {
			//			font-size : 14px;
			//		}
			//
			//		& .dropdown-content {
			//			display  : none;
			//			position : absolute;
			//			top      : 60px;
			//			right    : 0;
			//			width    : 450px;
			//			z-index  : 100000;
			//			cursor   : default;
			//
			//			& ul {
			//				list-style : none;
			//
			//				& li {
			//					font-size : 13px;
			//				}
			//			}
			//		}
			//
			//		&:hover {
			//			border-bottom : 1px solid $tw-white;
			//
			//			& .dropdown-content {
			//				display : block;
			//			}
			//		}
			//	}
			//
			//	& form {
			//		position : relative;
			//
			//		& input {
			//			border        : 1px solid $tw-white;
			//			width         : 250px;
			//			height        : 32px;
			//			border-radius : 20px;
			//			background    : $tw-black;
			//			font-size     : 13px;
			//		}
			//
			//		& .fa {
			//			position  : absolute;
			//			top       : 5px;
			//			left      : 12px;
			//			font-size : 21px;
			//		}
			//	}
			//
			//	& .login {
			//		position : absolute;
			//		left     : 7px;
			//	}
			//}
		}
		
		& .search-and-sign-in {

			& .sign-in {
				&:before {
					content       : '';
					border-radius : 1px;
					background    : $tw-dark3;
					width         : 1px;
					height        : 24px;
					margin        : 0 36px;
					@include media-breakpoint-down(md) {
						display : none;
					}
					@include media-breakpoint-only(lg) {
						margin : 0 20px;
					}
					@include media-breakpoint-only(xl) {
						margin : 0 32px;
					}
				}
				
				& button {
					height        : 36px;
					background    : rgba(208, 32, 38, 0.6);
					border        : none;
					border-radius : 20px;
					box-shadow    : none;
					@include transition-hover();
					
					& span {
						font-size : 12px;
					}
					
					& i {
						font-size : 18px;
					}
					
					&:hover {
						background : $tw-red;
						box-shadow : 0 0 0 5px rgba(208, 32, 38, 0.6);
					}
				}
			}
			
			& .search {
				position : relative;
				
				& form {
					position : relative;
					@include media-breakpoint-down(md) {
						margin-left : 1rem;
					}
					
					& i {
						position  : absolute;
						left      : 16px;
						font-size : 17.5px;
						bottom    : 0;
					}
					
					& input {
						height        : 36px;
						border-radius : 20px;
						color         : $tw-white;
						width         : 450px;
						@include media-breakpoint-only(xs) {
							margin: 10px 25px 10px 0;
							width : 300px;
						}
						@include media-breakpoint-only(sm) {
							margin: 10px 25px 10px 0;
							width : 500px;
						}
						@include media-breakpoint-only(md) {
							width : 300px;
						}
						@include media-breakpoint-only(lg) {
							width : 110px;
						}
						@include media-breakpoint-only(xl) {
							width : 190px;
						}
						@include media-min-max-width(1350px, 1470px) {
							width : 300px;
						}
						@include media-min-max-width(1470px, 1720px) {
							width : 250px;
						}
						@include media-min-max-width(425px, 573px) {
							width : 360px;
						}
					}
				}
			}
		}
	}
}
